RPMLUA(1)

NUME
rpmlua - interpret Lua pentru RPM

SINOPSIS
rpmlua [opțiuni] [SCRIPT_LUA] [-- ARGUMENT ...]

DESCRIERE
Rulează interpretul intern Lua al RPM.

Notă: indicii încep de la 1 în Lua, astfel încât numele programului este la arg[1] în loc de indicele zero, mai obișnuit.

ARGUMENTE
LUA SCRIPT
    Un script Lua.

ARGUMENT
    Opțiuni și argumente care trebuie transmise către SCRIPT_LUA. rpmlua oprește procesarea la --.

OPȚIUNI
-i, --interactive
    Rulează o sesiune interactivă după executarea unui script sau a unei instrucțiuni opționale.

--opts=ȘIR_OPȚIUNI
    Efectuează procesarea opțiunilor getopt(3) asupra argumentelor transmise în conformitate cu ȘIR_OPȚIUNI.

-e "INSTRUCȚIUNE", --execute "INSTRUCȚIUNE"
    Execută o instrucțiune Lua înainte de a executa un script opțional.

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE
rpmlua test.lua
    Execută fișierul script test.lua,

rpmlua --opts=ab:c args.lua -- 1 2 3 -c -b5
    Execută fișierul script args.lua cu procesarea opțiunilor.

rpmlua -e "print(rpm.ver('1.0') < rpm.ver('2.0'))"
    Execută o singură instrucțiune pentru a compara versiunile rpm.

rpmlua -i
    Rulează o sesiune interactivă.

CONSULTAȚI ȘI
lua(1), popt(3), getopt(3), rpm(8) rpm-lua(7)

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.